diff -uNr src/torrent_info.cpp src/torrent_info.cpp2
--- src/torrent_info.cpp	2008-08-24 18:13:52.000000000 +0200
+++ src/torrent_info.cpp	2008-08-24 18:15:28.000000000 +0200
@@ -354,7 +354,11 @@
   		{
  			m_name = tmp.leaf();
   		}
+#if BOOST_VERSION < 103600
  		else if (tmp.has_branch_path())
+#else
+		else if (tmp.has_parent_path())
+#endif
   		{
  			fs::path p;
  			for (fs::path::iterator i = tmp.begin()
@@ -572,7 +576,11 @@
 	{
 //		TORRENT_ASSERT(file.begin() != file.end());
 
+#if BOOST_VERSION < 103600
 		if (!file.has_branch_path())
+#else
+		if (!file.has_parent_path())
+#endif
 		{
 			// you have already added at least one file with a
 			// path to the file (branch_path), which means that

======================================================================================
diff -uNr include/libtorrent/disk_io_thread.hpp include/libtorrent/disk_io_thread.hpp2
--- include/libtorrent/disk_io_thread.hpp	2008-04-09 10:48:02.000000000 +0200
+++ include/libtorrent/disk_io_thread.hpp	2008-08-24 20:38:01.000000000 +0200
@@ -39,6 +39,7 @@
 
 #include "libtorrent/storage.hpp"
 #include <boost/thread/thread.hpp>
+#include <boost/thread/condition.hpp>
 #include <boost/function.hpp>
 #include <boost/thread/mutex.hpp>
 #include <boost/bind.hpp>
